curl --location --request PATCH '/admin/plants/graphs/' \
--header 'language;' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"graphs": [
{
"type": 0,
"title": "string",
"lineData": {
"yAxisTitle": "string",
"categories": [
"string"
],
"series": [
{
"color": "string",
"name": "string",
"data": [
0
]
}
]
},
"barData": {
"yAxisTitle": "string",
"categories": [
"string"
],
"data": [
{
"color": "string",
"y": 0
}
]
},
"groupedBarData": {
"yAxisTitle": "string",
"categories": [
"string"
],
"series": [
{
"color": "string",
"name": "string",
"data": [
0
]
}
]
},
"imageId": "string"
}
],
"graphsFootNote": {
"english": "string",
"arabic": "string"
}
}'{
"responseMessage": [
"string"
],
"responseCode": 0,
"responseData": {
"graphs": [
{
"type": 0,
"title": "string",
"lineData": {
"yAxisTitle": "string",
"categories": [
"string"
],
"series": [
{
"color": "string",
"name": "string",
"data": [
0
]
}
]
},
"barData": {
"yAxisTitle": "string",
"categories": [
"string"
],
"data": [
{
"color": "string",
"y": 0
}
]
},
"groupedBarData": {
"yAxisTitle": "string",
"categories": [
"string"
],
"series": [
{
"color": "string",
"name": "string",
"data": [
0
]
}
]
},
"image": {
"id": "string",
"url": "string"
}
}
]
}
}